# Developer Advocate

{{#include intro.md}}

## Role description
As a MayaData Developer Advocate you will have the exciting opportunity to help drive the growth and shape the future of OpenEBS and Kubernetes through building a vibrant contributor community. In this highly technical role, you will be an ecosystem influencer and champion of users’ needs. You will work to build relationships and deeply understand and improve people’s adoption journeys by driving a range of activities, including inspiring users with the latest technology advancements (such as Chaos Engineering and Kubera), operational best practices, integrations with other open source projects, and identifying and removing the friction points getting in their way.

## Responsibilities
* Connect online and face-to-face with user group members to build personal relationships and deeply understand their needs, usage, journeys, and barriers to adoption
* Produce high quality technical “how-to” content (blogs, webinars, talks) addressing common user needs, latest technology advances, and emerging best practices
* Present at meetups, conferences, and other ecosystem events
* Build and nurture relationships with fellow ecosystem influencers and open source leaders
* Support our user group through regular office hours and community slack channels
* Monitor user group growth and health, tracking metrics and running regular user groupsurveys
* Seek out an understanding of the friction points getting in users’ way and launch & own programs to remove them
* Blogging, learning, trying, hacking, demonstrating, documenting, instrumenting, educating, speaking, advocating!
* Promote our real users making them the stars
* Proactively use Twitter and other social media channels to share your ideas and grow your ecosystem influence

## Requirements
* 5 years of Operations, SRE, or System Administration experience
* Experience using and contributing to open source software
* Experience using Linux (your favorite window is a terminal)
* Experience developing for or operating Kubernetes or similar modern orchestration environments
* Excellent interpersonal and communication skills
* Positive attitude and the ability to be proactive, resourceful and flexible
* Desire to collaborate with, learn from, and inspire others
* Ability to work as a self-starter with minimal guidance
* Continual learner who thrives on figuring out new technology
* A bias for action with an ability to iterate rapidly to produce results
* Previous experience working in early stage company
* Willingness to be put on display taking others with you down your learning path (messing up on screen is ok)

Sound like an opportunity where you would thrive and grow? More importantly, could this be the right next step in reaching your career goals? Reach out to us and let’s explore whether this role is the right fit for you.
