# Product Manager

{{#include intro.md}}

## Role description
As a MayaData Product Manager you will have the exciting opportunity to help drive the growth and shape the future of Kubera and OpenEBS through building a vibrant contributor community. In this highly technical role, you will be responsible for specific MayaData subsystems and work with our Engineering and Product teams responsible for building and delivering them to market. You will be responsible for planning and delivering product content for new releases and launches of our offerings, prioritizing and communicating product requirements to guide development, supporting the field team in advanced sales opportunities, performing competitive reviews and analysis, and working with customers and partners. You will actively contribute to the overall company strategy and work closely with Engineering, Marketing, Support, Sales, and Field teams to ensure our offerings' success. You are also expected to engage with open source communities that support our container initiatives, including Kubernetes, other Cloud Native Computing Foundation (CNCF) projects, CSI, Velero, and more. As a Product Manager, you need to have great communication, teamwork, and persuasion skills. This is a great opportunity to work on a fast-growing offering alongside some of the brightest minds in open source. 

## Responsibilities
* Work with the MayaData Engineering team and the overall Product Management organization to manage releases and updates of our offerings and bring new Kubera solutions to market.
* Closely works with Lead Engineers / Team Leads, serves as go to person for answering why questions. Requests grooming sessions with teams, when new work should be planned / backlog needs attention. Grooming sessions takes place regularly with intervals between 2 and 4 weeks.
* Agrees with Lead Engineer on the overall priorities, and define together the intended content for upcoming releases.
* Connect online and face-to-face with user group members to build personal relationships and deeply understand their needs, usage, journeys, and barriers to adoption
* Monitor product and project growth and health, tracking metrics and running regular group surveys
* Collect and document input from Kubera and OpenEBS users, customers, community members, and other stakeholders to understand customers' needs; develop strategy and roadmap for our offerings
* Research competitive solutions, commercial and do-it-yourself alternatives, documenting their relative strengths and weakness to develop competitive positioning and collect input for new releases
* Prioritize and document requirements, epics, and user stories for new releases of our offerings
* Guide major enhancements of our offerings by working cross-functionally with core teams across our engineering team and the upstream open source community
* Work with our Sales teams to respond to customer inquiries; deliver customer presentations and demos and support the overall sales process
* Support sales and marketing activities, including creating presentations, blogs, demos, and other technical collateral for our offerings
* Review and provide feedback on the documentation for our offerings

## Requirements
* 3+ years of enterprise software industry experience working in product management, technical marketing, or a similar technical product or customer-facing role
* Experience using and contributing to open-source software
* Experience using Linux (your favorite window is a terminal)
* Experience developing for or operating Kubernetes or similar modern orchestration environments
* Excellent interpersonal and communication skills
* Positive attitude and the ability to be proactive, resourceful and flexible
* Desire to collaborate with, learn from, and inspire others
* Ability to work as a self-starter with minimal guidance
* A continual learner who thrives on figuring out new technology
* A bias for action with a capacity to iterate rapidly to produce results
* Previous experience working in an early-stage company
* Willingness to be put on display taking others with you down your learning path
* Skills in distributed systems, resource management solutions, storage technologies, software-defined networking (SDN), enterprise logging, and monitoring solutions
* Experience with Amazon Web Services (AWS), Microsoft Azure, Google Cloud Platform (GCP), or similar cloud or application management solutions
* Bachelor's or graduate degree preferably in computer science, engineering, or a related discipline

**The following are considered a plus**:
* Practical experience with cloud platforms
* Prior experience with the agile development process
* Familiarity with Atlassian platform (Jira / Confluence) or similar project management tools
* Sound like an opportunity where you would thrive and grow? More importantly, could this be the right next step in reaching your career goals? Reach out to us and let's explore whether this role is the right fit for you.
