# Senior Program Manager

{{#include intro.md}}

## In the nutshell
  
We are seeking an experienced technical program manager to join the MayaData team and focus on scale and performance, TTM, and Agile Transformation. Customers are bringing more intensive, mission-critical workloads to the platform every day, and we must continue pushing the boundaries of Kubernetes to meet their needs. You will be at the forefront of the industry helping customers run their workloads at scale and optimize their performance. You will focus on the next generation of highly performant, and resilient block storage software, in an open source environment and have the chance to participate and share with the upstream Kubernetes community. We're looking to augment a fast moving team with a diverse set of skills among its members. Global Program Management Skills a strong plus.

## Responsibilities

- Listen and learn from customers and partners. 
- Define and Drive to completion full product program management content and schedules.
- Provide guidance, define and execute real time communications program management: Digital operations via Jira burndowns, and other visible tracking tools.
- Define and drive Agile Transformation, functional delivery at scale.
- Define and track success metrics for the product and the business. 
- Define best in class Atlassian based Agile practices and execution.
- Prioritize the engineering roadmap in accordance with engineering resource allocation and drive against the commitments. 
- Partner closely with product to assure customer satisfaction and TTM.
- Participate with a global, world class startup in a hyper-growth environment.

## Requirements

- 3-5+ years of experience as a Technical Program Manager; BS in computer science, MBA or engineering management equivalent  preferred. 
- Experience in SaaS development environments is preferred.
- Demonstrated change agent with capabilities to identify and deliver on process changes that would enable faster time to market while driving organization consistency and efficiency. 
- Proven expertise in managing projects throughout the entire SDLC, including investigation, design, execution, testing, maintenance, documentation and delivering products
  to market on schedule, and addressing customer feedback in development.
- Solid project and technical judgment; ability to influence a growing organization.
- Strong team and customer focus. 
- Experience in a variety of development methods including Scrum, Kanban, and Waterfall. Run daily stand-ups and monitor the velocity of the team.
- Optimize team processes to improve quality, engineering productivity, and responsiveness to feedback and changing priorities.
- Overcome obstacles by resolving issues, regardless of team boundaries, and identify and resolve teamwork issues.
- Familiarity with codeline management and associated Linux-based tools.
- Solid knowledge of end-to-end quality best practices.
- Demonstrated strong analytical and problem solving skills.
- Outstanding verbal and written communication skills with the ability to interact with technical and non-technical, cross-functional groups.
