# System Engineer

{{#include intro.md}}

## In the nutshell

Building the fastest open source, block storage system in the world isn't easy.  The Engineering Division at Mayadata is set out to build the next generation of highly performant, and resilient block storage software, in an open source environment.

We’re looking for deeply skilled systems engineers who can work on Linux/Windows and love to program in C and Rust, to work closely with the product and the open source community to build the Mayadata vision. You'll join a highly collaborative team working along with talented engineers focusing to be the best in Container Attached Storage.

## Responsibilities

- Contribute to the design and implementation of the Mayastor data engine written in Rust.
- Work with a combination of open and closed source developer tools technologies.
- Leverage SPDK, SPDK, NVMe, CSI, & Linux internals.
- Leverage your outstanding collaboration and communication skills to partner with internal teams on their direction, priorities, and guidance around Rust best practices.

## Requirements

- Rust programming language & Tools
- Data Plane Development Kit (DPDK) and the Storage Plane Development Kit (SPDK) which are written in C
- Would love to work with technologies like NVMe, virtio and lockless algorithms
- Prior experience with debuggers, profilers, or symbol format development
- Understanding and knowledge of Linux and/or Windows  operating systems and runtime concepts 
- Ability to demonstrate a growth mindset and flexibility to adapt to changing goals and priorities
- Experience troubleshooting and debugging issues 
- Strong customer focus and passion for shipping commercial software

## Basic Qualifications

- 3+ years programming experience collaborating on software development Open Source Community.
- 3+ years programming in C, C++. Interested in Rust.
- Interested in technologies like DPDK.

## Preferred Qualifications

- Experience of Linux, C development and integration and testing.
- Interest in working with Rust.
- Excellent knowledge of Multithreading. 
- Basic knowledge in Linux/BSD/Solaris file system and or Block layer.
- Basic knowledge in Storage protocols SCSI & NVMe.
- Expertise in designing, developing software.
- Experience in Agile and Scrum methodologies.
- Capable of meeting tight deadlines with excellent overall project and product development life cycle experience and team spirit.
