# User Adoption Lead


At MayaData we believe that the best way to deliver storage and
related services to containerized and cloud-native environments is
with containerized and cloud-native architectures. Everything we do is
focused on providing data agility and simplifying the daily operation
of Kubernetes SRE’s and DevOps teams using Kubernetes as a data
layer. We enable our users to handle complex data management
operations easily, and we have become open source leaders in building
Kubernetes into a first-class data platform.

## The role

The User Adoption Team at MayaData is looking for candidates for lead
roles. MayaData is committed to producing the best Open Source
solutions for managing stateful applications in Kubernetes. The UA
team is responsible for outward-facing technical activity at
MayaData. You will connect with other developers and SREs, drive
adoption of OpenEBS, Litmus, and other Open Source Kubernetes
components that MayaData develops or contributes to, and bring
feedback about usage patterns from the field to MayaData Product
Management.

## You Will
- Reach out to users daily.
- Deliver presentations on a use case to an audience at Kubecon.
- Work through architecture and setup of cStor with prospects.
- Write blog posts about new features customers are investigating.
- Respond to inquiries on social channels.
- Lead conversations about how to run stateful applications on k8s.
- Contribute to Open Source projects that are relevant to the space.
- Channel information back to product and Engineering.
- Broker conversations with Support and Engineering teams.
- Reach developers with unique and engaging educational content.
- Meet with users, prospects, and customers.
- Conduct interviews with the media.

## Requirements

3 or more of:

- Knowledge of two or more public clouds
- Knowledge of on-premise infrastructure
- Understanding of storage in a Linux environment
- Competence with 2 or more programming languages
- Expertise with Kubernetes development
- Social network with a substantial number of active, relevant followers
- Experience presenting to audiences of 300+
- Demonstrated project management expertise
- Experience serving as a media spokesperson
- Commit permissions to one or more open source projects in the space
- Portfolio of blog posts or other writing
- Expertise with large CI/CD environments
- Expertise with machine learning environments
- Experience managing partner or channel relationships
