# PLOW

MayaData’s values are **P**eople First, **L**isten to Learn, **O**penness, **O**wnership and **W**inning together spelled as **PLOW**. Our values are interlinked and work together to protect our culture. This document gives some examples that make our PLOW actionable.

- _**People first.**_ People before deadlines. People before sales figures. When in doubt, we seek to do what is best for each other and for our users and community members.
- _**Listen to learn.**_ We seek to out-listen our competition. We understand that anyone can understand most of a problem by researching it and thinking about it - but to delight customers requires really understanding their stated and unstated needs.
- _**Openness.**_ In all things we seek to be open. We use ChatOps and other systems to “over communicate” internally. And to the extent possible, we share with the community our issues, plans, and even our concerns.
- _**Ownership.**_ We want each team member to be a manager of one who doesn't need daily check-ins to achieve their goals.
- _**Winning.**_ We win. We are confident in our abilities as a team to dramatically improve the experience of our users. We know that a proper focus and unrelenting effort will eventually get us recognized as one of the world’s most useful companies by our users for their use cases. We know winners never quit, never blink, never back down from any challenge. And winners laugh a lot too.

Note the helpful acronym _**PLOW.**_

## Tactics

Here are some tactics we use to insure we are living up to our values:
- _**Open source:**_ we believe that open source is a force for good in the world that is completely consistent with our beliefs in openness and listening. We support open source projects whether they directly help our products or not. This means engineering allocates time to be useful contributors to these communities, including crafting useful issues and contributing code when possible. Similarly, we volunteer time with Linux,Gopher,CNCF and other communities and support them via marketing funds and by providing free access to our open source Cafe whenever possible. We will all be evaluated in part based on contributions to our own and related communities.
- _**Getting to know users and each other:**_ We seek to understand users and each others as individuals. This means we take the time to know a little bit about them - where did they go to school, what do they do when they are not working, do they like Go or C better, and so forth. We document our understanding of users.
- _**Listening and openness:**_ We look for and reward team members that go out of their way to clarify and communicate their actions. Everything from comments in code to useful commit comments as well as of course communications via Chat and in person with other team members will be considered. We must keep in mind that we are a global company and need to think about how to include non local teammates in discussions and decisions.
- _**Winning:**_ We celebrate new users and new customers, new releases and other achievements. We respect our competitors however we don't worry about what they are doing. And we are tenacious, and we share our commitment with each other and with the community and users; for example, if a user has a problem we tell them "this will get fixed. Quickly. Please open your PR and we will turn around a response for you."

## About our Values

We take inspiration from other companies, and we always go for solutions that are easy to implement. Just like the rest of our work, we continually adjust our values and strive always to make them better. Everyone is welcome to suggest improvements.

