# Paid Time Off

Paid Time Off (PTO) policy is applicable to all direct employees of the company. PTO is not applicable for Contractors, Trainees or Interns at the organization.

Employees would be eligible for a fixed number of PTO days per calendar year (January to December). The exact number of PTO days can vary depending on the local laws of the location of the Employee. For instance, Employees from India are entitled to **15 PTO days in every calendar year (January to December)**, and are credited with **1.25 PTO days** at the completion of every month from the date of joining.

Employee can avail PTO days as many times as required during the calendar year (January to December) or from the date of joining provided:
- Employee has PTO days available.
- Employee has prior approval from the reporting manager, when availing more than 4 days of consecutive PTO days. A manager has the discretion to not approve a leave based on performance issues or critical deadlines.
- Employee has informed the reporting manager about the intent to avail PTO days, prior to or on the day of availing the PTO Day.
- Employee is expected to keep their team and reporting manager informed about their PTO plan in advance to ensure that someone else can manage important tasks while they are away.
- Employee is expected to report their availed PTO days using the tools setup by the HR/Payroll department. Any violation in reporting can result in a corrective action. Here are some ways to communicate the PTO days:
  - Send out an note in the #announcement channel - tagging your reporting manager and your local HR manager.
  - Set the Status of your Slack with the duration of your PTO days.

When availing unplanned PTO, the employee is required to communicate their absence of work within 24 hours to their manager.

If an Employee has not sent notification of absence / or has not reported to work for 72 hours, it will be considered as Job abandonment and corrective action will be taken against the Employee, possibly leading to termination of services. Check the [Job Abondonment Policy](./job-abandonment.md).

If an employee needs to be away from work for longer than the available PTO days, then Loss of Pay Leave policy will be applied for the exceeded days. The PTO days cannot be set off against or combined with any other kind of leave - like sick days off.

If an employee needs to take paid leave during popular holidays, they are required to apply for leave at least 2 months prior to the leave dates. They are requested to keep their manager and team members informed before availing the approved leave. This is to ensure that our business operations are not affected during the popular holidays when there is a possibility of more team members taking off.

Unused PTO days in the current calendar year will be carried forward to next year. A maximum of 45 unused PTO days can be accumulated over the years of service at MayaData. The unused PTO (up to a maximum of 45) days will be encashed only at the time of resignation or retirement.

Unused PTO days cannot be offset against the notice period required to be given as part of the terms of employment while the employee is offboarding their services from the company.
