# Developer Advocacy

## Goal

To build MayaData technical brand with deep, meaningful conversations on engineering topics relevant to our industry by [leveraging our community](http://web.archive.org/web/20120625174339/http://meghangill.com:80/2012/06/11/why-invest-in-communit-leaders/) of team-members and the wider ecosystem.

- The ideal ratio of MayaData team-members to the wider community members should be 20:80. Currently we are more like 95:5. Our challenge is to solve for this while ensuring our presence in key industry events and online forums.
- Increase the adoption of MayaData products and influence the product development suited towards SRE and DevOps personas.

## Why push the wider community?
Meghan Gill, former developer marketing leader at MongoDB and current VP of Sales Ops there, is a champion of leveraging the community. The reasons she gives are:

- The psychological reason: Messages about a product are always more powerful coming from a user.
- The economic reason: By investing in a community member and helping them become a great evangelist, we spend once and continually reap benefits. However, when we send team-members to conferences, we take time away from their daily jobs slowing down product development. Each time a team member leaves their desk, there is an opportunity cost which we do not have to pay with a community member.
- The sustainability reason: Once we enable community members to have a voice in the ecosystem, there is a snowball effect and they get invited to present their point of view repeatedly. Our investment is largely done but the benefit keeps coming back.
- The amplification reason: There is no way one company can reach everyone. However, with community evangelists in place, they can amplify the reach beyond a company’s corridors of influence.

## Who can be a Developer Advocate?

Everybody in wider MayaData Community can be a Developer Advocate. Whether you work in marketing, ops or engineering, you have a point of view on the work you do and the ecosystem of open source enterprise technology. If you are looking for ideas to get started, reach out on #dac slack channel or look for open items under [Community Interactions project](https://github.com/orgs/mayadata-io/projects/2)(_internal link_).

## Stages of Developer Advocacy
- Beginner - when you start following the right accounts on Twitter, peruse HN regularly, and respond to people
- Enthusiast - when you start creating content in the form of blog posts, videos, tweets, talks. Occasionally you create issues whenever you want to post something on the company blog or Medium publication.
- Pro - when you are invited to give talks that have over 200 attendees, when your content sometimes goes viral, often snagging over 500 views. You regularly contribute to the MayaData blog and other community blogs, podcasts, other content channels. At this point, you are looking at becoming a full time developer advocate. Checkout the roles of a [full time developer advocate](https://github.com/mayadata-io/culture/blob/master/job-roles/developer-advocate.md).
- Member of MayaData Influencer Board - when you are part of the [MayaData partnered consortiums](#Current-Consortiums-we-work-with). You reach this stage for two reasons: you are a pro and there is a strategic benefit to MayaData to promote your thought leadership.

## Current Consortiums we work with
Developer Advocates focus on Consortium marketing to bring the MayaData technical perspective to the right conversations. We define Consortiums as (often open source) groups that have come together to further a technology cause.
- Linux Foundation - Member seat
- Cloud Native Computing Foundation - Member seat
- SODA (Coming soon)

## Benefits of being a Developer Advocate
- Beginners: Joining the conversation about our ecosystem is a great way to develop a more nuanced perspective of your job. That leads to new and better ideas. Being aware of the various points of view in the industry also helps jumpstart the strategic brain juices which will help you contribute more deeply in work discussions.
- Enthusiast: As an enthusiast you showcase your expertise in the public arena. This means you and your company benefit from the material and you start building name recognition that leads to new opportunities. This is also a good spot to be in if you want to pivot your career towards a new expertise.
- Pro: At this stage start being recognized as an expert. Folks want to hear from you and you get name recognition in the community. This can lead to job offers, promotions, etc.
- Members of the MayaData Influencer Board: At this point you are contributing to the MayaData strategy and story in the ecosystem. You are seen as a MayaData spokesperson and will get exposure at the largest venues. The Technical Evangelism team will help you write conference proposals and funnel opportunities to you.

## Services we offer team-members and the wider MayaData community
- Find a speaker - If you want our advice and help securing a speaker proficient in a particular topic, please create an issue in the [community project](https://github.com/mayadata-io/community) and tag @kmova.
- Become a speaker - Feel free to submit a PR to the community projects speakers list, if you want to be in our [speaker list](https://github.com/mayadata-io/community/tree/master/speakers) and are interested in being considered for any upcoming speaking opportunities.

## For MayaData team-members Attending Events/ Speaking
- If you find there is an event of interest that MayaData should be represented, please reach out via the #cfp-room to check if your peers or the wider MayaData community that are Geographically closer to the event, would be interested in speaking.
- If you are interested in finding out about speaking opportunities join the #cfp-room slack channel. Deadlines for talks can be found in the slack channel and in the master [MayaData events spreadsheet](https://docs.google.com/spreadsheets/d/18oNIt4pnIx90GrVu9KC52-hSSR2KL4LpTP02RSvpGls/edit#gid=0).
- If you want help building out a talk, coming up with ideas for a speaking opportunity, or have a customer interested in speaking start an issue in the community project using the [CFP submissions template](https://github.com/mayadata-io/community/issues/new/choose) and tag any associated event issues. Complete as much info as possible and we will ping you with next steps. We are happy to help in anyway we can, including public speaking coaching.
- If there is an event you would like to attend, are attending, speaking, or have proposed a talk and you would like support from MayaData to attend this event the process goes as follows:
  - If you are presenting work from your peers, contact them for approval and guidance.
  - Contact your manager for approval to attend/ speak.
  - After getting approval from your manager to attend, add your event/ talk to the #cfp-room and request for approval from the Marketing team.
  - Get your talk reviewed by a technical panel in the #cfp-room prior to submitting. This can avoid duplicate talks being submitted as well as enhance the proposals.
  - If your travel and expenses are not covered by the conference, MayaData will cover your expenses (transportation, meals and lodging for days said event takes place). If those expenses will exceed $500, please get approval from your manager. When booking your trip, use our travel assistance, book early, and spend as if it is your own money. Note: Your travel and expenses will not be approved until your event / engagement has been approved by the Marketing team.
  - If you are speaking please note your talk in the description when you add it to the #cfp-room.
  - If you are not already on the [speakers page](https://github.com/mayadata-io/community/tree/master/speakers), please add yourself.
  - We suggest bringing swag and/or stickers with you. Contact #marketing_openebs for info on ordering swag.

