# Household manners

This section covers some suggestions that are considered good household manners.

## Cultural sensitivities
We are spread across geographies and different cultures.
- We will use open channels for communication as much as possible to keep the conversations transparent.
- In case there are direct discussions between two individuals, the relevant content will be diligently documented and posted on Slack for everyone's benefit.
- Each of us will remain sensitive to make comments about an individual’s ignorance in the meetings and slack channels. No questions are stupid.
- Similarly, some cultures are more direct and candid than others. We strive to be as candid as possible - while remembering people first. Giving direct feedback is more kind than hiding one's opinion not just for that person but for all the other team members. We are all depending on each other learning fast and no one is perfect.

## Online meetings (voice or video)
- On-time, there is always a ramp-up time due to unforeseen reboots which we all have which is fine
- Be prepared, find a calm place, with as little background noise as possible
- Don’t eat during the call the crispy sounds can be heard better than you think!
- Mute yourself, there’s a mute button for a reason. It might not seem like it, but there’s a lot of background noise even in the quietest of offices. There may also be feedback you can’t hear, but everyone else can. Unless you’re speaking, keep your phone on mute. However, don’t use this feature as an excuse to sneak a snack. Refer back to the last point for a reminder.
- Make sure to say goodbye, and do so with a smile
- When group calling, don't use a cell phone on speaker, they are not sufficient
  - If you must use for whatever reason (did you prepare?) make sure that it does not vibrate
- In video calls, keep the camera on when possible. This is important for the mental health of people working from their homes.

## In-person meetings / Online meetings
- Plan to attend on time, others are waiting for you
- Meetings are scheduled to discuss openly with an expected outcome of clearing doubts if there are any. Ask your doubts in the meeting. A meeting is not successful if you had a doubt before the meeting, and it continues to exist after meeting because you did not bring it up
- Avoid one-on-one chats in the meeting.
- Feel free to share information. Make it short, precise and relevant to the meeting agenda. Try not to interrupt a team member when they are speaking.

## Say thank you on Slack especially
- We don't spend much time together in person as a team. This introduces the risk that misunderstandings can be amplified over time. Therefore we go out of our way to thank each other for their comments even if we disagree with them or do not yet fully understand them.
- When we read something that resonates or is helpful on Slack we make an effort to take an extra second or two to give a thumbs up or to say thank you. Especially for remote workers this kind of interaction can provide useful feedback.

