# Hiring

- This is not a listing of open positions, but rather provides details on what you can expect during hiring process for a given role or expected to do once you have onboarded. For a list of open positions, refer to our careers page: https://mayadata.io/careers

- Each hiring process for a job role will begin with the [job responsibility spec(JRS)](https://github.com/mayadata-io/culture/tree/master/job-roles) and 6-12 months plan. There will be multiple levels defined under each job role depending on the individual's experience in performing the duties outlined in the JRS. New JRS can be added by raising a pull request.

- We will always be open to hiring the right individuals that complement the skills of the team from anywhere in the world, by compensating as per the market standards.

- We will project and plan the budget as much as possible. However, the release milestones will not wait for resources to join and ramp-up.

- Being part of a winning startup, people at MayaData are expected to be really good at one thing that they specialize in and stay accountable for as outlined in our [PLOW values](/plow/plow.md). The accountability is self-driven through OKRs and 1-1s with respective managers.

- Each MayaData employee will specialize and be accountable for a product or component, and can also be an expert in other product/component or technology areas. An individual’s role will be defined as follows:

  ```
  [Level] [Job Role Name] as defined in the JRS
  Specialist: [Product/Component Name]
  Expert: [Product/Component Name, Technology Area]
  ```

  Example:
    ```
    Senior SRE
    Specialist: OpenEBS Director
    Expert: Terraform, GKE, GitLab
    ```
- When individual team members may be required to play dual or multiple roles to help make progress on the milestones while the new hires or team members join, the impact is analyzed and documented in the OKRs and 1-1s. We will be sensitive to the current skills and career ambitions of the individuals.
