# MayaData OpenSource Marketing

At MayaData we believe that the best way to deliver storage and related services to containerized and cloud-native environments is with containerized and cloud-native architectures. Everything we do is focused on providing data agility and simplifying the daily operation of Kubernetes and Platform SRE’s and DevOps teams using Kubernetes as a data layer. We enable our users to handle complex data management operations easily, and we have become open source leaders in building Kubernetes into a first-class data platform.

In line with our PLOW values, we believe in Open Source Marketing as opposed to traditional marketing.

One of our primary objectives as an open source marketer is to amplify the success of users of the open source solution and to encourage the community to view itself with pride. Because the open source community is arguably the most important thing that an open source company builds, the role of an open source marketer is critically important.

Here are some guidelines on what we think are the driving principles of a good Open Source Marketer The following owes a lot to the ever famous and far superior memo by Ben Horowitz about what makes a [good product manager](https://a16z.com/2012/06/15/good-product-managerbad-product-manager/):

- [OpenSource is the way to go](#opensource-is-the-way-to-go)
- [Be where the users are](#be-where-the-users-are)
- [Support Open Source communities](#support-open-source-communities)
- [Anonymous community growth is important](#anonymous-community-growth-is-important)
- [All user feedback is valuable](#all-user-feedback-is-valuable)
- [Focus on what users need](#focus-on-what-users-need)
- [Help users advance their knowledge](#help-users-advance-their-knowledge)


## OpenSource is the way to go
A good open source marketer will eschew cliches and ideologies and will show how the community helps to nurture qualified leads and hence customers and partners and employees and investors and other stakeholders like the Cloud Native Computing Foundation. A traditional marketer will eschew metrics, and spout platitudes such as “there is no such thing as an open-source business model.”

## Be where the users are
A good open source marketer finds users wherever they are and listens to them and asks them their opinion. For instance, a good open source marketer will follow Twitter users that talk about their domain on twitter and will try to form a relationship with them. A traditional marketer thinks social media is just a way to push content to more people. A traditional marketer assumes that users with personal email addresses are just noise and not worth listening to.

## Support Open Source communities
A good open source marketer believes in investing in the open source karma of their community by supporting meet-ups and related projects however they can. A traditional marketer prefers to spend money on advertising or “lead generation.”

## Anonymous community growth is important
A good open source marketer will take ownership of the success of the community as measured by usage statistics such as container pulls and also by contributions by the community in the form of blogs and tweets and also pull requests and other more technical contributions. A traditional marketer would only focus on increasing registrations via user contact information. A good open source marketer has the analytics needed to prove to everyone that the community is growing - and is able to direct the efforts of the community and the company to improve those areas in need of improvement.

## All user feedback is valuable
A good open source marketer views even less than 100% positive communication with pride since it shows concern about the future of the project and this type of engagement is important for the growth of the community. A traditional marketer will try to hide any opinions that are not 100% positive about the open source project.

## Focus on what users need
A good open source marketer helps engineering to remain focused on what users really need as opposed to what engineering thinks they should need. A traditional marketer complains about engineering, about the users, about competitors, and about the open source itself.

## Help users advance their knowledge
Good open source marketers help users to understand and adapt to the changing technological landscape. For instance, when it comes to measuring storage performance, help users understand what are the new variables and how to evaluate and set up storage benchmarking. Traditional marketers are led around by users that do not yet understand how to evaluate container attached storage and go with their assessment.
