# Paid Time Off

This page is written with a focus on vacation/leave policies taken towards [Paid Time Off](https://github.com/mayadata-io/culture/blob/master/policy/paid-time-off.md).

MayaData allows for 15 days of Personal Time Off or Vacation Days or Paid Time Off days that are in addition to:
- National Holidays governed by your location
- Leaves taken for medical needs, whether physical or mental
- Leaves taken towards major life changing events like becoming a parent, losing a family member
- Leaves taken to fulfill your duties as a citizen to your nation like Voting Leave or Jury Duty leave and so forth.

MayaData recognizes that it is very important to take time off to recharge batteries and refresh the mind so you can come back to your work and commitments with renewed energy and be prepared to do your best work ever! MayaData also encourages you to use your leave for medical needs, jury duty, bereavement leave, or to vote. You are not expected to work during this time off, but we recommend following the guidance under Communicating Your Time Off when these situations arise.

Time away from work can be extremely helpful for maintaining a good work/life balance. MayaData encourages managers and leadership to set the example by taking time off when needed, and ensuring their reports do the same.

PTO do not have to be trips to exotic places, but instead could be taking some time for oneself at home. A great example for a personal time off is to take care of long outstanding chores at home, or to provide medical care to a family member or a friend.

Working hours are flexible. You don't need to worry about taking time off to go to the gym, take a nap, go grocery shopping, do household chores, help someone, take care of a loved one, etc. If you have urgent tasks, but something comes up or takes longer than expected, just ensure the rest of the team knows and someone can pick up the tasks (assuming you're able to communicate). When your personal work keeps your away from work and are unable to put in the required hours to complete your tasks per day, we trust that you will use your time off and communicate it to your manager and team.

## Guide to use Paid Time Off

As we all work remotely it can sometimes be difficult to know when and how to plan time off. Here is some advice and guidance on how this can be done in an easy and collaborative way.
- We have a "no ask, must tell" time off policy. This means that:
  - You do not need to ask permission to take time off unless you want to have more than 4 calendar days off in a release cycle that runs from 15th to 15th of every month. The 4 day limit is to ensure that business continuity is maintained.
  - What we care about are your results, not how long you work. While you don't need to ask approval for time off, it shouldn’t be at the expense of business getting done. Please coordinate with your team before taking time off, especially during popular or official holidays, so that we can ensure business continuity. We want to ensure we have adequate coverage and avoid situations where all/most of the team is taking time off at the same time.
  - When taking time off make sure your manager is aware of your absence. Informing your manager can be done by sending a shout out in the #announcements slack and also including your local HR contact. Giving your manager and team members a heads up early helps them prioritize work and meet business goals and deadlines.
  - If you're gone for 48 hours without prior notification, this could be deemed as a case of [Job Abandonment](https://github.com/mayadata-io/culture/blob/master/policy/job-abandonment.md).
  - It can be helpful to take longer breaks to re-energize. If this is helpful to you, we strongly recommend taking at least two consecutive weeks of time off per year.
- We don't frown on people taking time off, but rather encourage people to take care of themselves and others by having some time away. If you notice that your co-worker is working long hours over a sustained period, you may want to let them know about the time off policy.
- Not taking vacation is viewed as a weakness and people shouldn't boast about it. It is viewed as a lack of humility about your role, not fostering collaboration in training others in your job, and not being able to document and explain your work. You are doing the company a disservice by being a single point of failure. The company must be able to go for long periods without you. We don't want to lose you permanently by you burning yourself out by not taking regular vacations.
- You are invited to the company call and your team calls if you are available, but it isn't mandatory and you shouldn't attend if it is during your time off. We encourage you to read the call agenda on your return to catch up on the announcements made while you were on your time off.
- Please also remember to turn on your out of office message and include the contact details of a co-worker in case anything urgent or critical comes into your inbox while you're away. If you have to respond to an incident while on-call outside of your regular working hours, you should feel free to take off some time the following day to recover and be well-rested. If you feel pressured to not take time off to rest, refer to this part of the handbook and explain that you had to handle an incident.
- When returning from paid time off, it can be helpful to schedule a coffee chat or two on the day of your return to get caught up, share stories from your time off, and simply reconnect with your team members. It also provides a nice break from to-dos and unread emails. This type of conversation may occur organically in a colocated office but needs to be managed with intent in an all-remote company.

## Communicating Your Time Off

Communicate broadly when you will be away so other people can manage time efficiently, projects don't slip through the cracks, and so that you don't get bothered while away.

- If you plan to be out of the office for more than 48 hours, update your Slack status with your out of office dates by clicking on your profile picture and selecting "Edit Status." For Example: 'OOO Back on 2020-02-20.' Don't forget to change it back upon your return, and be aware that this information is publicly accessible.
- Add an out of office automated response including the dates you plan to be away in your automated response.
- Decline any meetings you will not be present for so the organizer can make appropriate arrangements.
- If your team or work group has a specific scheduling calendar, ensure to update it with your out of office plans. Bring it up in your team standups


## Communicating Time Off for an Emergency Situations

Emergencies, by definition are unexpected. They can range from natural disasters, terrorist events, accidents, family deaths, hospitalization and any other unexpected situation. During these times we ask team members to use their best judgement as well as listen to and adhere to public safety officials when possible. If an unexpected emergency occurs please contact your manager via slack or email or phone as soon as possible if you will be unavailable or unable to work. This will allow your manager to confirm your safety and reassign any critical work during your absence. If you do not have an emergency contact provided to your HR please go ahead and complete that section. We will only contact that person if we are unable to reach you via slack, email or phone.

## Recognizing Burnout
It is important for us to take a step back to recognize and acknowledge the feeling of being "burned out". We are not as effective or efficient when we work long hours, miss meals or forego nurturing our personal lives for sustained periods of time. If you feel that you or someone on your team may be experiencing [burnout](http://www.mayoclinic.org/healthy-lifestyle/adult-health/in-depth/burnout/art-20046642), be sure to address it right away.

To get ahead of a problem, be sure to communicate with your manager if any of the following statements ever apply to you:
- "I am losing interest in social interaction." - This is especially dangerous in an all-remote setting.
- "I've lost the motivation to work." - Everyone has days when they don't want to work but if you hear yourself saying this often, you're on the road to burnout.
- "I often feel tired." - Indicative of being overworked for prolonged periods of time.
- "I get agitated easily."
- "I've been hostile to my coworkers." - You see yourself "snap" at people for no apparent reason.
- "I've been having headaches often." - A headache can manifest itself for multiple reasons but if you catch yourself only having headaches on work days, it is time to evaluate your situation.

If someone is showing signs of burnout, they should take time off to focus on things that are relaxing and improve their overall health and welfare.

Other tips to avoid burnout include:
- Assess and pursue your interests, skills and passions.
- Take breaks during the day to eat healthy food and stretch your legs. The Timeout app can help with that.
- Make time each day to increase blood and oxygen circulation which improves brain activity and functionality.
- Get plenty of restful sleep.
- Meditate to take your mind away from work. Headspace and Calm are good tools for creating meditation habits.
- Don't start work as soon as you wake up. Take your time doing your morning routine.
- Set yourself as away when you are not working. Snooze your Slack notifications. It is fine to be not reachable during your off time.
- Don't let burnout creep up on you. Working remotely can allow us to create bad habits, such as working straight through lunch to get something finished. Once in a while this feels good, perhaps to check that nagging task or big project off the list, but don't let this become a bad habit. Before long, you'll begin to feel the effects on your body and see it in your work.

Keep in mind that you are not alone! Chances are that you have a colleague who already experienced burnout or has been on the road to burnout. Schedule coffee calls with your team members or with anyone you'd like to talk to. Talk to your manager. If none of that is an option for you, schedule a call with your HR Manager.

Take care not to burn yourself out


## Management’s Role in Paid Time Off

Managers have a duty of care towards their direct reports in managing their wellbeing and ensuring that time off is being taken. Sometimes, when working remotely from home, a good work-life balance can be difficult to find. It is also easy to forget that your team is working across multiple time zones, so some may feel obligated to work longer to ensure there is overlap. It is important that you check-in with your reports through one-to-ones, and if you think someone needs some time off let them know they can do this.

If you discover that multiple people in your team want to be off at the same time, see what the priorities are, review the impact to the business, and use your best judgement. Discuss this with your team so you can manage the time off together. It is also a good idea to remind your team to give everyone an early heads-up, if possible, about upcoming vacation plans.

As a manager, it is your task to evaluate your team's state of mind. Address possible burnout by discussing options with your team member to manage contributing stressors and evaluate the workload. Some things to help with this:

- Try to follow each of your team members' work habits. If they start being less efficient, or working more hours, they might be on the road to burnout.
- Try to keep track of when they had their last paid day off. If they hadn't had a personal day in a long time, look closer at their behaviour.
- Make sure you let your team members know they can talk to you about their challenges.
- When you recognize symptoms of burnout in others, help them to get out the "Burnout trap". Don't just tell people to take a break, but help them arrange things so they can take a break. Ask why they feel they can't take a break (there are almost certainly real, concrete reasons) and then ask permission to get busy putting things in place that will overcome those barriers. People might be trapped by their own fatigue, being too worn out to find the creative solutions needed to take a break.

