# Remote First

MayaData is a remote first company with team members working in different time zones and located in half-dozen countries or more. MayaData’s remote-first culture allows you to choose when and where you live and work, your work can revolve around your life as opposed to the other way around. Remote first fits perfectly with our PLOW culture of [people first](/plow/people_first.md) and [openness](/plow/openness.md).

Working remotely and running a remote team may seem like an outrageous idea to many, who have worked in organizations that allow their employees to occasionally work from home in case of emergencies. In our experience of running a company without a traditional head-quarters we have learnt to be more open and effective, combined with working with Open Source and Kubernetes community, the boundaries of a physical location made no sense. Thankfully we have also had a lot to learn from other companies that are successfully running an All-remote organizations like [GitLab](https://about.gitlab.com/company/culture/all-remote/).

We strongly believe that remote-first and all remote organizations tend to attract people who place a high degree of value on [autonomy](https://about.gitlab.com/blog/2018/10/18/the-case-for-all-remote-companies/), [flexibility](https://about.gitlab.com/blog/2019/06/25/how-remote-work-at-gitlab-enables-location-independence/), [empathy](https://about.gitlab.com/blog/2019/07/09/tips-for-working-from-home-remote-work/), and [mobility](https://about.gitlab.com/company/culture/inclusion/#fully-distributed-and-completely-connected).

While we are striving towards moving to an All-remote organization, with more than 30% of the employees already operating in all-remote, we are also committed to retain few physical offices in locations with a large concentration of Employees. We realize that such a model brings about [advantages and challenges](https://about.gitlab.com/company/culture/all-remote/hybrid-remote/#are-there-advantages-to-hybrid-remote) in terms of ensuring that the employees working in the office operate in a remote friendly way.

_Remote-first means working remote is the default. It means making sure your remote employees are as much a part of the team as those in the office._

[Remote-first](https://stackoverflow.blog/2017/02/08/means-remote-first-company/) means when somebody wants to present something, they’re not going to stand up at a whiteboard and write while the remotes squint at their screens trying to see it. We present electronically. It means when somebody refers to a document, they send a link to the whole group. These seem like small things. But they’re not. When you treat the coworker two desks down the same, for the most part, as you do your coworker in London, everyone has a great feeling of belonging and engagement. That leads to greater happiness and productivity for everyone.

## Remote First Manifesto

* Flexible working hours over set working hours.
* Writing down and recording knowledge over verbal explanations.
* Written down processes over on-the-job training.
* Public sharing of information over need-to-know access.
* Opening up every document for editing by anyone over top-down control of documents.
* Asynchronous communication over synchronous communication.
* The results of work over the hours put in.
* Formal communication channels over informal communication channels.

## Remote Employee Evaluation

* **People First.** Trust that everyone is working in alignment with [PLOW values](/plow/plow.md) and are thinking globally rather than themselves or their teams. This means that:
  * Employees need to trust that their managers are looking out for their best interest.
  * Managers need to trust that their employees are engaged and motivated at work.

  Part of this trust is built during the hiring process—selecting candidates who are self-motivated—and the rest is built over time with each positive interaction. Just like in-person office cultures, remote office cultures can differ wildly.

* **The Team Wins Together.** We all win together. Success in this company is not a zero sum game. Did someone else deliver a big victory in your team? Excellent. Celebrate it, congratulate them, and learn from what they did so you can drive yourself to your next big win.

  Don't tear down or minimize the victories of other people in this company. Positivity adds momentum; negativity adds drag.

* **Continuous Checkin and Feedback.** If employees are more familiar working in an office environment where they receive feedback daily, the silence in a remote position can be the perfect breeding ground for Imposter Syndrome. It's easy to assume the worst about your work when you don't hear otherwise.

  Regardless of whether you check-in with employees daily through a chat app, schedule weekly video sessions, or meet in-person monthly, the key is to provide continuous feedback rather than combining it all into one surprising review at the end of the year. Hold performance-oriented discussions in private, not in public. We share praise in public, and keep negative feedback to 1:1.

  On weekly team meetings, you should decide, together with the team as much as possible, what is the best use of your time toward accomplishing objectives. You can expect and schedule a 1-on-1 once every month with your manager to further refine your objectives and to request support with any challenge you might face.

* **Measure Output.** The underlying message is to find a metric outside of hours spent to evaluate productivity. We use a combination of OKRs and Performance Reviews to evaluate. OKRs are used to clearly articulate the priority of the tasks and enforce alignment towards Company objectives. Performance Reviews start with Self-evaluations, seeking feedback through peers and managers on the qualitative and quantitative aspects of the work as expected to the Job Roles and Responsibilities.

  Every quarter we commit to do a 1-on-1 to review our performance and use the same structure to help each of us set career and personal goals. We commit to helping each other achieve these as much as it is within our power to do so.

  Work is part of life, not the other way around. We do pledge [Flexibility and Individual Commitment](https://github.com/TheEnigmaticT/modern_open_culture/#flexibility-and-individual-commitment) to accomplish the work that you've agreed to publicly accomplish, and the OKRs that you've agreed to be responsible for.

  If you can't hit a goal this week, tell your team leaders . We don't demand 110% commitment all the time because 1) it's impossible and 2) that's how we burn out.

  If you fail at them, we can have a look at why, and refine either your approach, or revise the team agreement into something more reasonable. If you fail to uphold your commitments a second time, that’s a red flag and it’s worth a more serious discussion; however, it will be in the spirit of helping you fit in the team and processes better.

  If you fail often and repeatedly, you will be asked to leave the team. As such, we do not ask someone to leave lightly. Firing someone is something we view as the worst possible outcome in a work relationship. However, keeping someone that is underperforming, or doesn’t fit the team, is damaging to the work of everyone else in the company. This is a case where we must place the many above the few.

## Extra Remote Office Allowance

Every employee or contractor is eligible for yearly allowance of 750USD for purchasing office equipment. This allowance is solely focused on helping making your home-work environment better, e.g. getting better chair, table, highlighting etc.

## Tools and Tips

* [GitLab Tools and Tips](https://about.gitlab.com/handbook/tools-and-tips/)
* [Zapier guide to remote productivity](https://zapier.com/learn/remote-work/remote-work-productivity/)
* [Zapier remote apps suggests](https://zapier.com/learn/remote-work/productivity-apps-remote-work/)
* [Zapier on remote teams communication](https://zapier.com/learn/remote-work/remote-team-communication/)
* [Remote Work 2021](https://www.remote.tools/remote-work-2021)
