# Saying Goodbye

At MayaData we are on a multi-year journey during which our products, our customers, our market, our community - and yes the macroeconomic and public health environment - are all undergoing changes. It would be _unreasonable_ to expect that the company would not also undergo changes; it would also be _unfair_ to assume stasis, _unfair_ to ourselves and our customers and users and all other stakeholders if we didn’t reexamine ourselves critically in order to constantly improve MayaData.

At MayaData, having ourselves committed to [People First](/plow/people_first.md), it is very challenging and even feels unpleasant to say Goodbyes. However, People First with our other values in PLOW with the imperative of growing and evolving the company is to recognize that the team is of greater importance than any individual.

At MayaData, our policy is to be the preferred place to work in our markets for individuals that want to cast themselves into the tumult and opportunity of a start-up in order to achieve our mission. We compete for the best and brightest not via cash and other compensation alone - but via mission, culture, opportunity, and challenge.

Goodbyes are inevitable.
- At a certain point, individuals will no longer fit with the team. Perhaps they’ll decide that MayaData no longer helps them grow in the way they feel is best. Or perhaps they’ll be recruited to by an enormous organization - and they’ll decide that start-up life is no longer compatible with the kind of life they want for themselves. Maybe they’ve developed themselves all they want or need and in some cases personal circumstances cause them to value stability over growth and opportunity.

- Or, perhaps MayaData will decide that the individual is no longer the best fit for MayaData. No company or organization has unlimited funds or resources. Every organization must decide where to spend scarce resources in order to achieve challenging goals. Unfortunately, this can mean deciding that some of the team members that helped us in the past are no longer a fit for us in the future.

In either case, our policy is to bid the individual a swift adieu - to say thank you and Godspeed.

> A lingering end to the relationship of an individual with a team puts at risk the cohesion of the team and closes off opportunities for growth for those that remain.

Specifically, our policy is to pay a reasonable transition to those that we ask to leave the company and not expect them to continue to work with us during that time; while some transition time may be required and helpful, the shock of change is part of what catalyzes a team to take a new approach to new and old problems. Similarly, while we appreciate that it is customary to give notice when resigning from an organization, this does not mean that we want employees that have left the team to continue to take up space, opportunity, resources, and time once they have decided to move on.

In short - we seek to enable a transition to occur within one day or at most a week.

While respecting and making the transition very swift for the outgoing team member, the rest of the team pulls themselves quickly together to look at reality directly - the objectives are the same or even more daunting, and now one of your own is no longer with us. What are we going to do about it? What are you going to do to step up and help the work happen better, faster, with a tighter alignment to our mission and immediate goals?

Here are some guidelines for managing the Goodbyes.

- Openness is one of our values. In the case of Goodbyes, we opt to share the feedback only with peers and reports of the person since we balance Openness with our value of People first and negative is 1-1. Goodbyes can be painful, may be a learning opportunity for some, but should not be a point of gossip for anyone. If the departing team member gives their manager permission to share that information then the manager will share while making the departure announcement on the team call. We want all team-members to be engaged, happy and fulfilled in their work and if the requirements of the job or the role itself are not fulfilling we wish our team members the best of luck in their next endeavor.
- When dealing with involuntary Goodbyes certain information can be shared. Some team members do not thrive or enjoy the work that they were hired to do. For example after starting at MayaData a team member quickly learns they have no desire or interest to work on Infrastructure products. This doesn't make them a bad person, it just means they don't have the interest for the role and based on that the decision was made to exit the company. Again, we want all team members to enjoy and thrive in their work and that may or may not be at MayaData.
- If someone is let go involuntarily, this generally cannot be shared since it affects the individual's privacy and job performance is intentionally kept between an individual and their manager. If you are not close to an employee's offboarding, it may seem unnecessarily swift. According to our values negative feedback is 1-1 between you and your manager and we are limited in what we can share about private employee issues. Please discuss any concerns you have about another employee's offboarding with your manager.
- In both types of Goodbyes, we follow the guidelines outlined by the local laws. For example in the US, a Separation and Release of Claims Agreement needs to be signed between the ex-team member and their people manager prior to releasing the separation pay. People manager will consult the HR and legal teams prior to executing the Goodbyes.
